# Uses of Class
org.apache.commons.math3.geometry.euclidean.oned.IntervalsSet

Packages that use IntervalsSet
Package
Description
org.apache.commons.math3.geometry.euclidean.oned
This package provides basic 1D geometry components.
org.apache.commons.math3.geometry.euclidean.threed
This package provides basic 3D geometry components.

## Uses of IntervalsSet in org.apache.commons.math3.geometry.euclidean.oned

Methods in org.apache.commons.math3.geometry.euclidean.oned that return IntervalsSet
Modifier and Type
Method
Description
`IntervalsSet`
IntervalsSet.`buildNew(BSPTree<Euclidean1D> tree)`
Build a region using the instance as a prototype.
`IntervalsSet`
OrientedPoint.`wholeSpace()`
Build a region covering the whole space.

## Uses of IntervalsSet in org.apache.commons.math3.geometry.euclidean.threed

Constructors in org.apache.commons.math3.geometry.euclidean.threed with parameters of type IntervalsSet
Modifier
Constructor
Description
``
`SubLine(Line line, IntervalsSet remainingRegion)`
Simple constructor.